ros-melodic-cob-sick-s300 (0.7.4-1bionic) bionic; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #414 <https://github.com/ipa320/cob_driver/issues/414> from nlamprian/nlamprian/fix-frame-ids
    Remove leading slashes from frame ids
  * Remove leading slashes from frame ids
  * Contributors: Felix Messmer, Nick Lamprianidis, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.7.3-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.7.2-1bionic) bionic; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.7.1-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.15-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.14-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.13-1bionic) bionic; urgency=high

  * Merge pull request #378 <https://github.com/ipa320/cob_driver/issues/378> from mateuszcierpikowski/feature/auto_reconnect
    add auto reconnect when scanner is disconnected
  * add auto reconnect when scanner is disconnected
  * Contributors: Felix Messmer, mateuszcierpikowski

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.12-1bionic) bionic; urgency=high

  * update maintainer
  * Merge pull request #377 <https://github.com/ipa320/cob_driver/issues/377> from fmessmer/fix_sicks300_rate
    remove faulty publish_rate mechanism
  * remove faulty publish_rate mechanism
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.11-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #358 <https://github.com/ipa320/cob_driver/issues/358> from ipa-jba/fix/s300-max-range
    [cob_sick_s300] adjust range_max
  * Merge pull request #357 <https://github.com/ipa320/cob_driver/issues/357> from ipa-jba/fix/remove-dead-code
    [cob_sick_s300] remove dead code
  * remove dead code
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * cob_sick_s300: adjust range_max
  * Contributors: Felix Messmer, ipa-fxm, ipa-mig, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.10-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.9-1bionic) bionic; urgency=high

  * [cob_sick_s300] fix typo in Readme
  * cob_sick_s300: clarify some points about the measurement range fields in the readme
  * cob_sick_s300: add readme
  * cob_sick_s300: remove debug print out
  * cob_sick_s300: properly get offsets and add corresponding docu to source code
  * cob_sick_s300: comment warning about field parameters --> this is currently buggy, old version works better
  * cob_sick_s300: move telegram description to telegram parser file
  * cob_sick_s300: clarify telegram calculation according to telegram listing
  * manually fix changelog
  * Contributors: Matthias Gruhler, ipa-fxm, ipa-mig

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.8-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.7-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.6-1bionic) bionic; urgency=high

  * replace spaces by tab
  * add try/catch to handle XmlRpc exceptions
  * add time stamp to sick s300 diagnostic messages
  * adjust filter topics
  * Contributors: Frederik Hegger, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.5-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.4-1bionic) bionic; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * catkin_package according to install tags
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.3-1bionic) bionic; urgency=high

  * cob_sick_s300: fix check for standby and only check for correct value
  * cob_sick_s300: handle scanner in standby; publish std_msgs::Bool indicating status
  * do not use private NodeHandle
  * Contributors: ipa-fxm, ipa-mig

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.2-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.1-1bionic) bionic; urgency=high

  * undo
  * Contributors: ipa-cob4-2

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.6.0-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 08 Sep 2014 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.5.7-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * remove warnings
  * Update cob_sick_s300.cpp
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * enabled raw reading (for intensity)
  * Update package.xml
  * fixed cpu load issue
  * fixed time stamp issue (s300)
  * merge
  * small fix
  * fix
  * debug
  * fix
  * ignoring addr.
  * output
  * test files
  * adaptation + parameter parsing
  * now blocking
  * parameteres for different fields
  * includes
  * moved telegram definition
  * rmoved Bride files
  * fixed offset & debug output
  * added debug flag
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Your full name, cob4-1, ipa-cob4-1, ipa-josh

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.5.6-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * remove warnings
  * Update cob_sick_s300.cpp
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * enabled raw reading (for intensity)
  * Update package.xml
  * fixed cpu load issue
  * fixed time stamp issue (s300)
  * merge
  * small fix
  * fix
  * debug
  * fix
  * ignoring addr.
  * output
  * test files
  * adaptation + parameter parsing
  * now blocking
  * parameteres for different fields
  * includes
  * moved telegram definition
  * rmoved Bride files
  * fixed offset & debug output
  * added debug flag
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Your full name, cob4-1, ipa-cob4-1, ipa-josh

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.5.3-1bionic) bionic; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-melodic-cob-sick-s300 (0.5.2-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000

ros-melodic-cob-sick-s300 (0.5.1-1bionic) bionic; urgency=high

  * fix CMakeLists
  * move unified scan publisher to cob_navigation
  * fixed little issue and tested on raw3-1
  * new parsing function
  * Added compilation definitino for unified scan publisher and started transition from tf to tf2 (Added tf2 dependecies and included header files).
  * trying to fix quantal compilation
  * fix compile error for ubuntu > precise
  * Installation stuff
  * merged with upstream
  * fix for oodl
  * cleaned up CMakeLists and added install directives
  * futher include and linkpath modifications
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * cob_sick_s300: changes from Jan Paulus, BRSU
  * fixed parameter handling
  * electric backport of sick driver
  * changes for fuerte compatibility
  * remove test for non existent launch files
  * removed deprecated yaml and launch files
  * cob_sick_s300: set range_min and range_max
  * cob_scan_filter: setting filtered values to 0 to be skipped by ros::laser_projector
  * sick_s300: corrected error from merge with ipa320 diagnostic implementation
  * merge with ipa320
  * cob_scan_gilter is working with multiple scan intervals -> tested
  * scan_filtered: specifiying ranges from-PI to PI.
  * scan_filter: before merge
  * cob scan filter
  * sick_s300: introduced scan_cycle_time, decrementing time_increments -> experiments look good
  * sick_s300: now time_increment now negative, better overall results
  * sick_s300: angle_increment negative to keep time diffs...
  * added diagnostic messages to sick module
  * sick_s300: changed laser_frequency to scan_duration
  * sick_s300
  * sick_s300: cleaned file, parameter loading
  * cob_scan_filter: added additional handling for invalid intervals..
  * cob_scan_filter: added funcionality to specify multiple intervals to be filtered out from any LaserScan topic
  * sick_s300: debugged some type conversions, time sync now working, not tested on hw
  * sick_s300: always using latest scan-message from buffer, sync stamps with ros-time
  * sick_s300: scanning for data-sets backwards in stream->getting newer scans
  * sick_tests
  * Merge branch 'master' into sick_test
  * tests on laser scanner/serial
  * using private nodehandle
  * merge
  * additional config files for cob3-bosch
  * added roslaunch tests
  * added cob3-4 configs
  * additional config files for cob3-bosch
  * added rostest
  * added node for unifying front and rear scanner in base_link frame in order to use the resulting 360 degree scan for gmapping
  * icob changes
  * adapted test files
  * update cob3-3
  * rearranging cob_camera_sensors launch files
  * scanner config for icob
  * config for cob3-3
  * config for cob3-3
  * changed test duration to 10s
  * camera settings added for head
  * correct rear scan launch
  * added camera tests
  * unified names
  * modified parameters
  * modified parameters
  * modified tests
  * modified sick driver to support efi configuration
  * switched head modules
  * cleanup in cob_driver
  * merged rostest files
  * included new rostest file rear.test
  * included new rostest file front.test
  * new rostest file
  * deleted old restest file
  * launch files for testing
  * hztest for rear scanner
  * added rostest tag
  * parameter changes
  * front scanner launch file and front scanner test file
  * laser filter working on cob3-1
  * test for scan front and scan front raw
  * rostest for scan front
  * added scanfilter for front scanner
  * merge
  * lbr working on cob
  * modifications for cob3-1
  * bringup for cob3-1
  * update documentation and deleted tf broadcaster
  * adaptions for cob3-2
  * restructures launch files for sick
  * testing navigation
  * modified url
  * cleanup in cob_simulation
  * cleanup in cob_driver
  * new files for navigation, e.g. maps and launch files
  * cob_2dnav working
  * JSF: Added intrinsics to topic
  * adaptions to cob3-1
  * added cob3-1 launch files
  * improved navigation parameters
  * separated launch files for cob3-2
  * test of ROS navigation on cob
  * adjusted file paths
  * Merge branch 'fmw-hj' into review-bitbots
  * renamed packages to cob_
  * Contributors: Alexander Bubeck, COB3-Navigation, Denis Štogl, Richard Bormann, Your full name, abubeck, b-it-bots, cob, cpc-pk, fmw, fmw-jk, ipa, ipa-fmw, ipa-fxm, ipa-mig, ipa-uhr, raw3

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000


